SDL_NS_TO_MS(3)

NAME
SDL_NS_TO_MS - Convert nanoseconds to milliseconds.

SYNOPSIS
#include <SDL3/SDL_timer.h>

#define SDL_NS_TO_MS(NS)        ((NS) / SDL_NS_PER_MS)

DESCRIPTION
This performs a division, so the results can be dramatically different if NS is an integer or floating point value.

MACRO PARAMETERS

NS  the number of nanoseconds to convert.

RETURN VALUE
Returns NS, expressed in milliseconds.

THREAD SAFETY
It is safe to call this macro from any thread.

AVAILABILITY
This macro is available since SDL 3.2.0.